import { withTheme } from '@dokuhero/react-native-theme';
import * as React from 'react';
import { ActivityIndicator, View } from 'react-native';
import { Modal } from './Modal';
import { Text } from './Text';
export var Busy = withTheme(function (_a) {
    var visible = _a.visible, _b = _a.theme, color = _b.color, space = _b.space, radius = _b.radius, text = _a.text, layout = _a.layout;
    if (!layout || layout === 'full') {
        return (<Modal visible={visible}>
          <View>
            <ActivityIndicator size="large"/>
            {text && (<Text style={{ textAlign: 'center', marginTop: 10 }} color={color.white}>
                {text}
              </Text>)}
          </View>
        </Modal>);
    }
    if (!visible) {
        return null;
    }
    return (<View style={[
        {
            position: 'absolute',
            left: 15,
            right: 15,
            margin: 10,
            zIndex: 99
        },
        layout === 'top' ? { top: 80 } : { bottom: 20 }
    ]}>
        <View style={{
        flex: 1,
        flexDirection: 'row',
        height: 40,
        backgroundColor: color.semiTransparent,
        borderRadius: radius.medium,
        paddingLeft: space.small,
        paddingRight: space.small
    }}>
          <ActivityIndicator size="small" style={{ marginRight: 10 }}/>
          {text ? (<Text style={{ textAlign: 'center', marginTop: 10 }} color={color.white}>
              {text}
            </Text>) : null}
        </View>
      </View>);
});
//# sourceMappingURL=Busy.js.map