import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { CustomPicker } from 'react-native-custom-picker';
import { Icon, ListItem } from 'react-native-elements';
import { Utils } from '../utils';
import { ItemIdentity } from './ItemIdentity';
export function DropdownPicker(props) {
    var DropdownPickerComponent = withTheme(function (_a) {
        var theme = _a.theme, options = _a.options, title = _a.title, getOptionAvatar = _a.getOptionAvatar, getOptionText = _a.getOptionText, allowClear = _a.allowClear, onChange = _a.onChange, value = _a.value, footerText = _a.footerText, footerIcon = _a.footerIcon, footerAction = _a.footerAction, containerStyle = _a.containerStyle, fieldContainerStyle = _a.fieldContainerStyle, optionContainerStyle = _a.optionContainerStyle, fieldTextStyle = _a.fieldTextStyle, optionTextStyle = _a.optionTextStyle, placeholder = _a.placeholder;
        var smMargin = theme.space.small || 10;
        var fieldTpl = function (item, contrStyle, textStyle, clearFn, margin) {
            if (margin === void 0) { margin = 0; }
            return (<ListItem wrapperStyle={[
                {
                    marginLeft: margin,
                    marginRight: margin || -smMargin
                }
            ]} containerStyle={contrStyle} hideChevron={!!!clearFn} avatar={getOptionAvatar ? (<ItemIdentity avatar={getOptionAvatar(item)} size={28}/>) : (undefined)} titleStyle={textStyle} textInputStyle={textStyle} subtitleStyle={textStyle} rightTitleStyle={textStyle} title={getOptionText(item)} rightIcon={allowClear ? (<Icon name="x" type="feather" size={28} containerStyle={{
                margin: 0,
                width: 45
            }} onPress={allowClear ? clearFn : undefined}/>) : (undefined)}/>);
        };
        return (<CustomPicker containerStyle={containerStyle} style={{ marginHorizontal: smMargin * 2 }} value={value} maxHeight={400} options={options || []} onValueChange={onChange} placeholder={placeholder || title} headerTemplate={title
            ? function () { return <ListItem hideChevron title={Utils.toUpper(title)}/>; }
            : undefined} optionTemplate={function (_a) {
            var item = _a.item;
            return fieldTpl(item, optionContainerStyle, optionTextStyle, undefined, smMargin);
        }} fieldTemplate={function (_a) {
            var selectedItem = _a.selectedItem, defaultText = _a.defaultText, clear = _a.clear;
            return selectedItem ? (fieldTpl(selectedItem, fieldContainerStyle, fieldTextStyle, clear)) : (<ListItem title={defaultText} titleStyle={{
                color: theme.color.lighter,
                marginLeft: 0,
                marginRight: 0
            }} wrapperStyle={{
                marginLeft: 0,
                marginRight: -smMargin
            }} containerStyle={fieldContainerStyle}/>);
        }} footerTemplate={footerText
            ? function (_a) {
                var close = _a.close;
                return (<ListItem leftIcon={footerIcon} title={footerText} hideChevron titleStyle={{
                    fontFamily: theme.fontName.semiBold,
                    color: theme.color.darker
                }} onPress={function () {
                    if (footerAction) {
                        footerAction();
                    }
                    close();
                }}/>);
            }
            : undefined}/>);
    });
    return <DropdownPickerComponent {...props}/>;
}
//# sourceMappingURL=DropdownPicker.js.map