import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { CalculatorInput } from 'react-native-calculator';
import { FormField } from './FormField';
export var InputCurrency = withTheme(function (_a) {
    var currency = _a.currency, value = _a.value, label = _a.label, errors = _a.errors, onChange = _a.onChange, theme = _a.theme;
    return (<FormField label={label} errors={errors}>
      <CalculatorInput value={value} fieldContainerStyle={{
        marginLeft: 20,
        paddingBottom: 7,
        borderBottomColor: theme.color.lighter
    }} fieldTextStyle={{ fontSize: theme.fontSize.medium }} borderColor={theme.color.lighter} acceptButtonBackgroundColor={theme.color.primary} calcButtonBackgroundColor={theme.color.secondary} prefix={(currency || 'Rp') + ' '} onChange={function (val) {
        if (onChange) {
            onChange(val);
        }
    }} height={300}/>
    </FormField>);
});
//# sourceMappingURL=InputCurrency.js.map