import { WithThemeProps } from '@dokuhero/react-native-theme'
import React, { ReactNode } from 'react'
import { InjectedTranslateProps } from 'react-i18next'
import { ButtonProps } from './Button'
export interface DialogProps
  extends Partial<InjectedTranslateProps & WithThemeProps> {
  children?: ReactNode
  title?: string
  visible: boolean
  kind:
    | 'OK'
    | 'OKCancel'
    | 'YesNo'
    | 'YesNoCancel'
    | 'SaveCancel'
    | 'SaveDeleteCancel'
    | 'Custom'
  buttons?: ButtonProps[]
  onPress: (index: number) => void
  onShow?: () => void
  onDismiss?: () => void
}
interface DialogState {
  visible: boolean
}
export declare class Dialog extends React.Component<DialogProps, DialogState> {
  static getDerivedStateFromProps(
    props: DialogProps,
    state: DialogState
  ): DialogState | null
  constructor(props: DialogProps)
  render(): JSX.Element
  renderButtons(): JSX.Element
  hide(): void
}
export {}
