/// <reference types="react" />
import { StyleProp, TextStyle, ViewStyle } from 'react-native'
import { IconObject } from 'react-native-elements'
import { ItemIdentityAvatar } from './ItemIdentity'
export interface DropdownPickerProps<T> {
  value?: T
  options: T[]
  title?: string
  allowClear?: boolean
  getOptionAvatar?: (item: T) => ItemIdentityAvatar
  getOptionText: (item: T) => string
  onChange: (item: T) => void
  footerText?: string
  footerIcon?: IconObject
  footerAction?: () => void
  containerStyle?: StyleProp<ViewStyle>
  fieldContainerStyle?: StyleProp<ViewStyle>
  fieldTextStyle?: StyleProp<TextStyle>
  optionContainerStyle?: StyleProp<ViewStyle>
  optionTextStyle?: StyleProp<TextStyle>
  placeholder?: string
}
export declare function DropdownPicker<T>(
  props: DropdownPickerProps<T>
): JSX.Element
