import React from 'react'
import { StyleProp, ViewStyle } from 'react-native'
export declare type FormValidationErrors<T> = { [K in keyof T]: string[] }
export interface FormChildrenProps<T> {
  fields: T
  setValue: (key: keyof T, value: any) => void
  submit: () => void
  errors: FormValidationErrors<T>
}
export interface FormProps<T> {
  fields: T
  children: (props: FormChildrenProps<T>) => React.ReactNode
  validator: Partial<Pick<any, keyof T>>
  onSubmit?: (values: T) => void
  onError?: (errors: FormValidationErrors<T>) => void
  style?: StyleProp<ViewStyle>
}
export declare class Form<T = {}> extends React.Component<FormProps<T>, any> {
  constructor(props: FormProps<T>)
  render(): JSX.Element
  setValue(key: keyof T, value: any): void
  submit(): void
  validate(): Promise<boolean>
}
